package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0200
 * @Description : 新生儿出生体重填写错误
 * @Author : 胡敬
 * @Date: 2020-03-14 16:28
 */
@Component
public class FIRP0200 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String newbornWeightStr = firstpageStructureMap.get(Content.newbornWeight);
            if (CatalogueUtil.isEmpty(newbornWeightStr) || !CatalogueUtil.numbersOnly(newbornWeightStr)) {
                return;
            }
            double newbornWeight = Double.parseDouble(newbornWeightStr);
            if (newbornWeight / 1000 >= 1) {
                newbornWeight = newbornWeight / 1000;
            }
            if (newbornWeight <= 1 || newbornWeight >= 10) {
                status.set("-1");
            }
        }
    }
}